Subject: Re: 7.3 docs

From: "Magnus Hagander" <[email-masked]>
Date: Sat, 4 Mar 2006 17:40:00 +0100

> > Now that we have the 8.1 docs (yeah, I know, we've had for a while, 
> > but.), I would suggest removing the 7.3 interactive docs, and move 
> > them off to the archive. Anybody against this?
> >
> 
> ISTR this was discussed and decided against, since we still 
> actively support 7.3.  (See also links to 7.3 releases on the 
> homepage)

I thought that was pre-8.1. :-)

But yeah, it's a point. I'll look towards other more efficient ways to
decreas the docs build process :-)

//Magnus

---

From: "Joshua D. Drake" <[email-masked]>
Date: Sat, 04 Mar 2006 09:00:41 -0800

> decreas the docs build process :-)
I don't think we need to keep the 7.3 interactive docs... The static
docs are probably still good to have around.

Joshua D. Drake

> //Magnus
>
> ---------------------------(end of broadcast)---------------------------
> TIP 9: In versions below 8.0, the planner will ignore your desire to
>        choose an index scan if your joining column's datatypes do not
>        match
>
>   

-- 
The PostgreSQL Company - Command Prompt, Inc. 1.503.667.4564
PostgreSQL Replication, Consulting, Custom Development, 24x7 support
Managed Services, Shared and Dedicated Hosting
Co-Authors: PLphp, PLperl - http://www.commandprompt.com/

---

From: "Marc G. Fournier" <[email-masked]>
Date: Sat, 4 Mar 2006 15:15:42 -0400 (AST)

> docs are probably still good to have around.

I'm about 50-50 split on this one ... but, if we are still actively 
supporting a version of PostgreSQL, we are acknowledging that ppl *are* 
still using it, and, therefore, ppl could still be annotating the 
interactie docs ...

But ... the docs themselves are pretty static, so *why* are they being 
regenerated on a regular basis in the first place?  Couldn't you just 
regenerate those files that have comments attached to them, instead of all 
of them each time?  It would make the mirrors faster too, since they 
wouldn't have to pull down new copies of the complete docs each time, but 
only those pages that have actually had changes made to them ...

----
Marc G. Fournier           Hub.Org Networking Services (http://www.hub.org)
Email: [email-masked]           Yahoo!: yscrappy              ICQ: 7615664

---

From: "Joshua D. Drake" <[email-masked]>
Date: Sat, 04 Mar 2006 11:32:11 -0800

> supporting a version of PostgreSQL, we are acknowledging that ppl 
> *are* still using it, and, therefore, ppl could still be annotating 
> the interactie docs ...
>
Speaking of this... why doesn't every single page of the 7.3, 7.4 and 
8.0 docs say:

8.1.3 is the latest stable version of PostgreSQL.

AND:

7.4.x (or 7.3.x etc) is the latest version of the 7.4 series. If you are 
not running this version you need to upgrade.

> regenerate those files that have comments attached to them, instead of 
> all of them each time?  It would make the mirrors faster too, since 
> they wouldn't have to pull down new copies of the complete docs each 
> time, but only those pages that have actually had changes made to them 
> ...
>
>
>
> ----